Update Payment Intent
curl --request PUT \
--url https://staging.api.tribease.com/v2/v2/payment-intents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"customerEmail": "<string>",
"currency": "<string>",
"clientReference": "<string>",
"receiptEmail": "<string>",
"paymentMethod": [
{}
],
"callbackUrl": "<string>",
"settlementAccountId": "<string>"
}
'import requests
url = "https://staging.api.tribease.com/v2/v2/payment-intents/{id}"
payload = {
"amount": 123,
"customerEmail": "<string>",
"currency": "<string>",
"clientReference": "<string>",
"receiptEmail": "<string>",
"paymentMethod": [{}],
"callbackUrl": "<string>",
"settlementAccountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
customerEmail: '<string>',
currency: '<string>',
clientReference: '<string>',
receiptEmail: '<string>',
paymentMethod: [{}],
callbackUrl: '<string>',
settlementAccountId: '<string>'
})
};
fetch('https://staging.api.tribease.com/v2/v2/payment-intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"amount": "<string>",
"totalAmount": "<string>",
"currency": "<string>",
"receiptEmail": "<string>",
"customerEmail": "<string>",
"country": "<string>",
"status": "<string>",
"checkoutLink": "<string>",
"clientReference": "<string>",
"paymentMethods": [
{
"id": "<string>",
"type": "<string>",
"attributes": [
{
"name": "<string>"
}
]
}
],
"callbackUrl": "<string>",
"transaction": "<string>",
"meta": [
{}
],
"settlementAccount": {
"id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"createdAt": {},
"updatedAt": {}
},
"createdAt": {},
"updatedAt": {}
}Payment Intent
Update Payment Intent
PUT
/
v2
/
payment-intents
/
{id}
Update Payment Intent
Request Path Parameters
string
The ID of the Payment Intent.
Request Body Parameters
integer
The Payment Intent amount.
string
Email of the customer.
string
default:"NGN"
The currency of the amount. The only currency currently supported is NGN.
string
A unique reference from your app.
string
Email to send receipt of the transaction to.
array
The allowed payment methods to be used for payment. Possible values include: Flutterwave.
string
The URL to redirect user to after a payment attempt.
string
The Settlement Account ID that payments received should go into. If no value is specified, the default business settlement account is used.
Response Data
string
required
The ID of the Payment Page
string
required
Amount
string
required
Total Amount that will be paid out
string
required
Currency
string
Email to receive transaction receipt. If no value is specified, the customer email will get transaction receipt
string
required
Email of the customer
string
Country of the Payment Intent
string
required
Payment Intent status
string
required
Payment Intent link.
string
required
Payment Intent unique reference supplied by the client.
array
string
Callback URL
string
Transaction reference associated with the Payment Intent
array
More information about the payment page
Settlement Account Object
datetime
required
Payment Page created time.
datetime
required
Payment Page updated time.
⌘I

